   function f = objfun ( x )
     f = exp(x(1))*(4*x(1)^2 + 2*x(2)^2 + 4*x(1)*x(2) + 2*x(2) + 1)
   endfunction
   function [c, ceq] = confun(x)
     // Nonlinear inequality constraints
     c = [
       1.5 + x(1)*x(2) - x(1) - x(2)
       -x(1)*x(2) - 10
     ]
     // Nonlinear equality constraints
     ceq = []
   endfunction
   // The initial guess
   x0 = [-1,1];
   // The expected solution : only 4 digits are guaranteed
   xopt = [-9.547345885974547   1.047408305349257]
   fopt = 0.023551460139148
   // Run fmincon
   opt = optimoptions("fmincon","Display","iter");
   [x,fval,exitflag,output,lambda,grad,hessian] = fmincon ( objfun,x0,[],[],[],[],[],[], confun, opt)
